Skip to main content
GET
/
api
/
chats
/
{chatId}
Get chat
curl --request GET \
  --url https://api.upon-ai.com/api/chats/{chatId} \
  --header 'Authorization: Bearer <token>'
{
  "chatId": "<string>",
  "agentId": "<string>",
  "version": 123,
  "status": "<string>",
  "type": "web_chat",
  "metadata": {},
  "customAttributes": {},
  "startedAt": "2023-11-07T05:31:56Z",
  "endedAt": "2023-11-07T05:31:56Z",
  "transcript": "<string>",
  "messages": [
    {
      "content": "<string>",
      "name": "<string>",
      "tool_calls": [
        {}
      ]
    }
  ],
  "chatCost": {},
  "chatAnalysis": {},
  "collectedDynamicVariables": {},
  "uponai_dynamic_variables": {},
  "overrideDynamicVariables": {}
}

Authorizations

Authorization
string
header
required

Generate tokens from your profile settings at app.uponai.com.

Path Parameters

chatId
string
required

Chat identifier.

Query Parameters

workspaceId
integer
required

Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.

Response

200 - application/json

Chat details.

chatId
string
agentId
string
version
integer
status
string
type
string
Example:

"web_chat"

metadata
object
customAttributes
object
startedAt
string<date-time> | null
endedAt
string<date-time> | null
transcript
string | null
messages
object[]
chatCost
object
chatAnalysis
object
collectedDynamicVariables
object
uponai_dynamic_variables
object
overrideDynamicVariables
object